Last Comment Bug 870728 - The Geolocation prompt should not offer action in PB mode if the action remembers permission for more than a session.
: The Geolocation prompt should not offer action in PB mode if the action remem...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.21
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks: 595437 870413
  Show dependency treegraph
 
Reported: 2013-05-10 03:28 PDT by Philip Chee
Modified: 2013-06-17 09:03 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed


Attachments
Patch v1.0 Proposed fix. (3.85 KB, patch)
2013-05-10 03:39 PDT, Philip Chee
neil: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Review

Description Philip Chee 2013-05-10 03:28:53 PDT
Spun off from Bug 870413 Comment 3:
>> +            if (site && !this.usePrivateBrowsing) {
> Eek. Should backport this I guess...
Comment 1 Philip Chee 2013-05-10 03:39:51 PDT
Created attachment 747893 [details] [diff] [review]
Patch v1.0 Proposed fix.

I've split this patch off from Bug 870413 so that we can land this on all branches including comm-release.
Comment 2 Philip Chee 2013-05-10 11:53:29 PDT
a-beta=Callek a=CLOSED TREE 
Pushed to comm-beta:
http://hg.mozilla.org/releases/comm-beta/rev/fb4f91ec5302
Comment 3 Philip Chee 2013-05-31 12:22:41 PDT
Pushed to comm-central: http://hg.mozilla.org/comm-central/rev/39546ca48c28
Comment 4 Philip Chee 2013-05-31 12:30:04 PDT
Comment on attachment 747893 [details] [diff] [review]
Patch v1.0 Proposed fix.

Firefox Bug 496595 (Privacy leak in "remember for this site" permission of geolocation - persists outside of private browsing) landed on Firefox 3.6a1

[Approval Request Comment]
Bug caused by (feature/regressing bug #):
Privacy leak in "remember for this site" permission of geolocation

User impact if declined: Privacy leak in "remember for this site" permission of geolocation. Since this patch has already landed on SM 2.18 and SM2.21 we should ensure that it also lands on 2.19 and 2.20.

Testing completed (on m-c, etc.): Has been running for a while on my self build. The firefox version of this bug has been running since Fx3.6a1.

Risk to taking this patch (and alternatives if risky):
Risk is low.

String or IDL/UUID changes made by this patch:
Comment 5 Philip Chee 2013-06-01 09:32:54 PDT
Pushed to comm-beta (SeaMonkey 2.19b)
https://hg.mozilla.org/releases/comm-beta/rev/659a7205d5b9
Pushed to comm-aurora (SeaMonkey 2.20a)
https://hg.mozilla.org/releases/comm-aurora/rev/9cf36ae1f02a

Note You need to log in before you can comment on or make changes to this bug.